Drop old user image columns
[rails.git] / Gemfile.lock
index 5733e75..467166f 100644 (file)
@@ -60,11 +60,27 @@ GEM
     ast (2.4.0)
     autoprefixer-rails (8.6.5)
       execjs
+    aws-eventstream (1.0.3)
+    aws-partitions (1.184.0)
+    aws-sdk-core (3.59.0)
+      aws-eventstream (~> 1.0, >= 1.0.2)
+      aws-partitions (~> 1.0)
+      aws-sigv4 (~> 1.1)
+      jmespath (~> 1.0)
+    aws-sdk-kms (1.23.0)
+      aws-sdk-core (~> 3, >= 3.58.0)
+      aws-sigv4 (~> 1.1)
+    aws-sdk-s3 (1.45.0)
+      aws-sdk-core (~> 3, >= 3.58.0)
+      aws-sdk-kms (~> 1)
+      aws-sigv4 (~> 1.1)
+    aws-sigv4 (1.1.0)
+      aws-eventstream (~> 1.0, >= 1.0.2)
     better_errors (2.5.1)
       coderay (>= 1.0.0)
       erubi (>= 1.0.0)
       rack (>= 0.9.0)
-    better_html (1.0.13)
+    better_html (1.0.14)
       actionview (>= 4.0)
       activesupport (>= 4.0)
       ast (~> 2.0)
@@ -141,7 +157,7 @@ GEM
       concurrent-ruby (~> 1.0)
       dry-core (~> 0.2)
       dry-equalizer (~> 0.2)
-    dry-schema (1.2.0)
+    dry-schema (1.3.0)
       concurrent-ruby (~> 1.0)
       dry-configurable (~> 0.8, >= 0.8.3)
       dry-core (~> 0.4)
@@ -149,15 +165,15 @@ GEM
       dry-initializer (~> 3.0)
       dry-logic (~> 1.0)
       dry-types (~> 1.0)
-    dry-types (1.0.1)
+    dry-types (1.1.0)
       concurrent-ruby (~> 1.0)
       dry-container (~> 0.3)
       dry-core (~> 0.4, >= 0.4.4)
       dry-equalizer (~> 0.2, >= 0.2.2)
       dry-inflector (~> 0.1, >= 0.1.2)
-      dry-logic (~> 1.0)
+      dry-logic (~> 1.0, >= 1.0.2)
     dynamic_form (1.1.4)
-    erb_lint (0.0.28)
+    erb_lint (0.0.29)
       activesupport
       better_html (~> 1.0.7)
       html_tokenizer
@@ -206,6 +222,7 @@ GEM
     image_size (2.0.1)
     in_threads (1.5.2)
     jaro_winkler (1.5.3)
+    jmespath (1.4.0)
     jquery-rails (4.3.5)
       rails-dom-testing (>= 1, < 3)
       railties (>= 4.2.0)
@@ -241,6 +258,7 @@ GEM
       mime-types-data (~> 3.2015)
     mime-types-data (3.2019.0331)
     mimemagic (0.3.3)
+    mini_magick (4.9.3)
     mini_mime (1.0.1)
     mini_portile2 (2.4.0)
     minitest (5.11.3)
@@ -248,7 +266,7 @@ GEM
     multi_json (1.13.1)
     multi_xml (0.6.0)
     multipart-post (2.1.1)
-    nio4r (2.3.1)
+    nio4r (2.4.0)
     nokogiri (1.10.3)
       mini_portile2 (~> 2.4.0)
     nokogumbo (2.0.1)
@@ -309,7 +327,7 @@ GEM
       websocket-driver (>= 0.2.0)
     progress (3.5.1)
     psych (3.1.0)
-    public_suffix (3.1.0)
+    public_suffix (3.1.1)
     puma (3.12.1)
     quad_tile (1.0.1)
     r2 (0.2.7)
@@ -362,9 +380,9 @@ GEM
     request_store (1.4.1)
       rack (>= 1.4)
     rinku (2.0.6)
-    rotp (5.0.0)
+    rotp (5.1.0)
       addressable (~> 2.5)
-    rubocop (0.71.0)
+    rubocop (0.72.0)
       jaro_winkler (~> 1.5.1)
       parallel (~> 1.10)
       parser (>= 2.6)
@@ -373,9 +391,9 @@ GEM
       unicode-display_width (>= 1.4.0, < 1.7)
     rubocop-performance (1.4.0)
       rubocop (>= 0.71.0)
-    rubocop-rails (2.0.1)
+    rubocop-rails (2.2.0)
       rack (>= 1.1)
-      rubocop (>= 0.70.0)
+      rubocop (>= 0.72.0)
     ruby-openid (2.7.0)
     ruby-progressbar (1.10.1)
     ruby_dep (1.5.0)
@@ -393,13 +411,13 @@ GEM
       sprockets (> 3.0)
       sprockets-rails
       tilt
-    secure_headers (6.1.0)
+    secure_headers (6.1.1)
     simplecov (0.16.1)
       docile (~> 1.1)
       json (>= 1.8, < 3)
       simplecov-html (~> 0.10.0)
     simplecov-html (0.10.2)
-    smart_properties (1.14.0)
+    smart_properties (1.15.0)
     sprockets (3.7.2)
       concurrent-ruby (~> 1.0)
       rack (> 1, < 3)
@@ -416,7 +434,7 @@ GEM
     thor (0.20.3)
     thread_safe (0.3.6)
     tilt (2.0.9)
-    tins (1.20.3)
+    tins (1.21.0)
     tzinfo (1.2.5)
       thread_safe (~> 0.1)
     uglifier (4.1.20)
@@ -446,6 +464,7 @@ DEPENDENCIES
   activerecord-import
   annotate
   autoprefixer-rails (~> 8.6.3)
+  aws-sdk-s3
   better_errors
   bigdecimal (~> 1.1.0)
   binding_of_caller
@@ -482,6 +501,7 @@ DEPENDENCIES
   listen
   logstasher
   mimemagic
+  mini_magick
   minitest (~> 5.1)
   oauth-plugin (>= 0.5.1)
   omniauth